Documentation

Progress

Get course attempt stats

Returns per-problem attempt statistics for a course.

ProductionStagingUAT
GEThttps://math.ankiren.com/api/me/progress/{courseSlug}/stats

Parameters

Path Parameters

  • courseSlugstringpathRequired

Responses

200 · Problem attempt statistics

  • courseSlugstring
  • stats[object]
    • problemIdstring
    • moduleSlugstring
    • totalAttemptsinteger
    • correctAttemptsinteger
    • lastAttemptAtstring<date-time>
      format: date-time
application/json
{
  "courseSlug": "algebra-basics",
  "stats": [
    {
      "problemId": "prob-001",
      "moduleSlug": "linear-equations",
      "totalAttempts": 3,
      "correctAttempts": 2,
      "lastAttemptAt": "2025-01-15T10:00:00Z"
    }
  ]
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://math.ankiren.com/api/me/progress/{courseSlug}/stats' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'